Android fail to build - Could not find com.android.tools:common:25.5.0-alpha-preview-02


#1

After adding FCM(https://beta.ionicframework.com/docs/native/fcm) to my ionic4(angular) app to support push notification, I am not able to get a successful build with this fcm native plugin. it gave me the following error.

Could not find com.android.tools:common:25.5.0-alpha-preview-02.
Searched in the following locations:
    https://jcenter.bintray.com/com/android/tools/common/25.5.0-alpha-preview-02/common-25.5.0-alpha-preview-02.pom
    https://jcenter.bintray.com/com/android/tools/common/25.5.0-alpha-preview-02/common-25.5.0-alpha-preview-02.jar
    https://repo.maven.apache.org/maven2/com/android/tools/common/25.5.0-alpha-preview-02/common-25.5.0-alpha-preview-02.pom
    https://repo.maven.apache.org/maven2/com/android/tools/common/25.5.0-alpha-preview-02/common-25.5.0-alpha-preview-02.jar
Required by:
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools.build:manifest-merger:25.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools.ddms:ddmlib:25.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools.analytics-library:shared:25.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools.analytics-library:tracker:25.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools:sdklib:25.5.0-alpha-preview-02 > com.android.tools.layoutlib:layoutlib-api:25.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools:sdklib:25.5.0-alpha-preview-02 > com.android.tools:dvlib:25.5.0-alpha-preview-02
    unspecified:unspecified:unspecified > com.android.tools.build:gradle:2.5.0-alpha-preview-02 > com.android.tools.build:gradle-core:2.5.0-alpha-preview-02 > com.android.tools.build:builder:2.5.0-alpha-preview-02 > com.android.tools:sdklib:25.5.0-alpha-preview-02 > com.android.tools:repository:25.5.0-alpha-preview-02
Open File

I have been searching for answer for the past 2 days and have tried changing parameters in the build.gradle (https://stackoverflow.com/questions/53677823/cannot-run-existing-android-project-com-android-toolscommon25-3-3) but have no success. Please help if any one here have any idea how to resolve it. Thanks a lot.